#!/bin/bash

# uninstall logic for Backup To The Web 5.5.5.0
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/Backup To The Web/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for Backup To The Web"
    touch "/Applications/Backup To The Web/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/Backup To The Web/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for Backup To The Web"
    sh "/Applications/Backup To The Web/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/Backup To The Web/bin/taskkill" "/Applications/Backup To The Web/BackupManager.app"
sh "/Applications/Backup To The Web/bin/taskkill" "/Applications/Backup To The Web/bin/BackupManager.app"
sh "/Applications/Backup To The Web/bin/taskkill" "/Applications/Backup To The Web/jvm/bin/java"
sh "/Applications/Backup To The Web/bin/taskkill" "/Applications/Backup To The Web/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/Backup To The Web" ]; then
    echo "Remove Scheduler for Backup To The Web from service"
    rm -rf "/Library/StartupItems/Backup To The Web"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/Backup To The Web-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for Backup To The Web from service"
    rm -rf "/Library/StartupItems/Backup To The Web-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/Backup To The Web" ]; then
        echo "Remove Desktop Link Backup To The Web from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/Backup To The Web"
        echo "Removed Backup To The Web Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove Backup To The Web
cd /
if [ -e "/Applications/Backup To The Web" ]; then
    echo "Remove Backup To The Web from Your Mac OS X"
    rm -rf "/Applications/Backup To The Web"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/obm.pkg" ]; then
    echo "Remove Mac OS X Receipt for obm.pkg (Path: /Library/Receipts/obm.pkg)"
    rm -rf "/Library/Receipts/obm.pkg"
fi
